# Index

* [Introduction](/readme.md)
* [Hardware](/hardware.md)
* [Installation](/installation.md)
  * [Install Raspberry PI OS](/installation/installing_raspbian.md)
  * [Install dependencies](/installation/install_dependencies.md)
* [Configuration](/configuration.md)
  * [Configure the Pi](/configuration/configure_the_pi.md)
  * [Configuring Sound](/configuration/configuring-sound.md)
  * [Cloud Speech Recognition](/configuration/configuring_voice.md)
  * [First Time Running Smart Mirror](/configuration/first_time_running_smart_mirror.md)
  * [Configure the smart-mirror](/configuration/configure_the_mirror.md)
* [Running](/running.md)
  * [Setting up Smart-Mirror to Run on Boot](/running/setting_up_smart-mirror_to_run_on_boot.md)
  * [Commands Used to Run Smart-Mirror](/running/commands_used_to_run_smart-mirror.md)
* [Troubleshooting & FAQs](/troubleshooting.md)
  * [Issues installing electron-prebuilt](/troubleshooting/npm_install_issues.md)
  * [Microphone and Speech Recognition issues](/troubleshooting/microphone_and_speech_recognition_issues.md)
  * [Issues with Remote and ConfigUI](/troubleshooting/issues-with-remote-and-configui.md)
* [Development and Contributing](/development_and_contributing.md)
* [Updating](/updating.md)
* [Index](/summary.md)
* [How Tos](/how_tos.md)
  * [How To Obtain Chromium Speech Keys](/how_tos/how_to_obtain_chromium_speech_keys.md)
  * [How To Install Raspberry Pi OS(full)](/how_tos/how_to_install_raspbianfull.md)
  * [Enabling Motion Detection](/how_tos/enabling-motion-detection.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.smart-mirror.io/summary.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
